> ## Documentation Index
> Fetch the complete documentation index at: https://docs.campfire.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Custom Reports



## OpenAPI

````yaml https://api.meetcampfire.com/api/schema?format=json get /ca/api/custom-reports
openapi: 3.0.3
info:
  title: Campfire Developer APIs
  version: 1.0.0
  description: >
    ## Introduction

    Campfire's developer APIs offer granular access to Campfire's core
    accounting,

    revenue recognition, and financial data features.


    These APIs are designed to be used by developers to build custom
    integrations,

    automate workflows, and perform any other programmatic operations.


    ## Rate limits

    API users can make up to **5 requests per second**. This limit is shared
    across

    all endpoints for the same API user. Requests that exceed the limit receive
    a

    `429 Too Many Requests` response. Wait for the number of seconds specified
    in

    the `Retry-After` response header before retrying.
servers:
  - url: https://api.meetcampfire.com
    description: Production server
security: []
tags:
  - name: Cash Management
    description: Operations related to accounts, transactions, and other bank-related data.
  - name: Core Accounting
    description: >-
      Operations related to core accounting data, such as the chart of accounts,
      entity management, and the general ledger.
  - name: Revenue Recognition
    description: >-
      Operations related to revenue recognition, contract management, and
      contract data aggregation.
  - name: Accounts Receivable
    description: Operations related to invoicing and the AR subledger
  - name: Accounts Payable
    description: Operations related to billing and the AP subledger.
  - name: Financial Statements
    description: Operations related to financial statement generation and data aggregation.
  - name: Settings
    description: Operations related to system and accounting settings configuration.
paths:
  /ca/api/custom-reports:
    get:
      tags:
        - Financial Statements
      summary: List Custom Reports
      operationId: ca_api_custom_reports_list
      parameters:
        - in: query
          name: data_type
          schema:
            type: string
          description: >-
            Filter by report type(s), comma-separated: transaction, invoice,
            financial_statement. Only transaction reports can be executed via
            the custom report data endpoint; invoice reports use the invoice
            report data endpoint.
        - name: limit
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - name: offset
          required: false
          in: query
          description: The initial index from which to return the results.
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedCustomReportList'
          description: ''
      security:
        - knoxApiToken: []
components:
  schemas:
    PaginatedCustomReportList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=400&limit=100
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=200&limit=100
        results:
          type: array
          items:
            $ref: '#/components/schemas/CustomReport'
    CustomReport:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        created_by_name:
          type: string
          readOnly: true
        updated_by_name:
          type: string
          readOnly: true
        is_favorite:
          type: boolean
          readOnly: true
        data_subtype:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/DataSubtypeEnum'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        search_vector:
          type: string
          readOnly: true
          nullable: true
        search_text:
          type: string
          readOnly: true
          nullable: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        last_modified_at:
          type: string
          format: date-time
          readOnly: true
        data_type:
          $ref: '#/components/schemas/DataTypeEnum'
        title:
          type: string
          maxLength: 250
        description:
          type: string
          nullable: true
        groupings:
          nullable: true
        pivots:
          nullable: true
        aggregations:
          nullable: true
        static_filters:
          nullable: true
        dynamic_filters:
          nullable: true
        financial_statement_rows:
          nullable: true
        custom_formula_rows:
          nullable: true
        custom_groups:
          nullable: true
        show_empty_lines:
          type: boolean
        customer:
          type: integer
          readOnly: true
        created_by:
          type: integer
          nullable: true
          readOnly: true
        updated_by:
          type: integer
          nullable: true
          readOnly: true
      required:
        - created_at
        - created_by
        - created_by_name
        - customer
        - id
        - is_favorite
        - last_modified_at
        - search_text
        - search_vector
        - title
        - updated_by
        - updated_by_name
    DataSubtypeEnum:
      enum:
        - income_statement
        - balance_sheet
      type: string
      description: |-
        * `income_statement` - Income Statement
        * `balance_sheet` - Balance Sheet
    BlankEnum:
      enum:
        - ''
    NullEnum:
      enum:
        - null
    DataTypeEnum:
      enum:
        - transaction
        - financial_statement
        - invoice
      type: string
      description: |-
        * `transaction` - Transaction
        * `financial_statement` - Financial Statement
        * `invoice` - Invoice
  securitySchemes:
    knoxApiToken:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````